<html>
  <head>
    <meta name="viewport" content="width=device-width, initial-scale=1" charset="UTF-8">
    <title>Ah10Device</title>
<link href="../../../images/logo-icon.svg" rel="icon" type="image/svg"><script>var pathToRoot = "../../../";</script>    <script>const storage = localStorage.getItem("dokka-dark-mode")
const savedDarkMode = storage ? JSON.parse(storage) : false
if(savedDarkMode === true){
    document.getElementsByTagName("html")[0].classList.add("theme-dark")
}</script>
<script type="text/javascript" src="../../../scripts/sourceset_dependencies.js" async="async"></script><link href="../../../styles/style.css" rel="Stylesheet"><link href="../../../styles/jetbrains-mono.css" rel="Stylesheet"><link href="../../../styles/main.css" rel="Stylesheet"><link href="../../../styles/prism.css" rel="Stylesheet"><link href="../../../styles/logo-styles.css" rel="Stylesheet"><script type="text/javascript" src="../../../scripts/clipboard.js" async="async"></script><script type="text/javascript" src="../../../scripts/navigation-loader.js" async="async"></script><script type="text/javascript" src="../../../scripts/platform-content-handler.js" async="async"></script><script type="text/javascript" src="../../../scripts/main.js" async="async"></script><script type="text/javascript" src="../../../scripts/prism.js" async="async"></script>  </head>
  <body>
    <div class="navigation-wrapper" id="navigation-wrapper">
      <div id="leftToggler"><span class="icon-toggler"></span></div>
      <div class="library-name"><a href="../../../index.html">bluconnect</a></div>
      <div></div>
      <div class="pull-right d-flex"><button id="theme-toggle-button"><span id="theme-toggle"></span></button>
        <div id="searchBar"></div>
      </div>
    </div>
    <div id="container">
      <div id="leftColumn">
        <div id="sideMenu"></div>
      </div>
      <div id="main"><script type="text/javascript" src="../../../scripts/main.js"></script>
        <div class="main-content" id="content" pageIds="bluconnect::com.aptener.bluconnect.app.device.sx.sx20/Ah10Device/Ah10Device/#kotlin.String?#com.aptener.bluconnect.device.BluArmorModel#com.aptener.bluconnect.device.control.DeviceInfoImpl#com.aptener.bluconnect.device.control.BatteryImpl#com.aptener.bluconnect.device.control.VolumeImpl#com.aptener.bluconnect.device.control.MediaPlayerImpl#com.aptener.bluconnect.device.control.DialerImpl#com.aptener.bluconnect.device.control.VoiceAssistantImpl#com.aptener.bluconnect.device.control.ButtonClickImpl#com.aptener.bluconnect.device.control.RideLynkImpl#com.aptener.bluconnect.device.control.SecondPhoneControlSx#com.aptener.bluconnect.device.control.SpeedDialImpl#com.aptener.bluconnect.device.control.OtaSwitchImpl#com.aptener.bluconnect.device.control.VoiceAnnouncementImpl#com.aptener.bluconnect.device.control.VoiceNoteRecorderImpl#com.aptener.bluconnect.device.control.RawBytesInterfaceImpl#com.aptener.bluconnect.app.device.sx.sx20.Sx20App#kotlinx.coroutines.CoroutineScope/PointingToDeclaration//-1410038383">
          <div class="breadcrumbs"><a href="../../../index.html">bluconnect</a>/<a href="../index.html">com.aptener.bluconnect.app.device.sx.sx20</a>/<a href="index.html">Ah10Device</a>/<a href="-ah10-device.html">Ah10Device</a></div>
          <div class="cover ">
            <h1 class="cover"><span><span>Ah10Device</span></span></h1>
          </div>
          <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><div class="block"><div class="block"><span class="token annotation">@</span><span data-unresolved-link="javax.inject/Inject///PointingToDeclaration/"><span class="token annotation">Inject</span></span></div></div><span class="token keyword"></span><span class="token keyword">fun </span><a href="-ah10-device.html"><span class="token function">Ah10Device</span></a><span class="token punctuation">(</span>deviceName<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a><span class="token operator">?</span><span class="token punctuation">, </span>model<span class="token operator">: </span><a href="../../com.aptener.bluconnect.device/-blu-armor-model/index.html">BluArmorModel</a><span class="token punctuation">, </span>deviceInfo<span class="token operator">: </span><a href="../../com.aptener.bluconnect.device.control/-device-info-impl/index.html">DeviceInfoImpl</a><span class="token punctuation">, </span>battery<span class="token operator">: </span><a href="../../com.aptener.bluconnect.device.control/-battery-impl/index.html">BatteryImpl</a><span class="token punctuation">, </span>volume<span class="token operator">: </span><a href="../../com.aptener.bluconnect.device.control/-volume-impl/index.html">VolumeImpl</a><span class="token punctuation">, </span>mediaPlayer<span class="token operator">: </span><a href="../../com.aptener.bluconnect.device.control/-media-player-impl/index.html">MediaPlayerImpl</a><span class="token punctuation">, </span>dialer<span class="token operator">: </span><a href="../../com.aptener.bluconnect.device.control/-dialer-impl/index.html">DialerImpl</a><span class="token punctuation">, </span>voiceAssistant<span class="token operator">: </span><a href="../../com.aptener.bluconnect.device.control/-voice-assistant-impl/index.html">VoiceAssistantImpl</a><span class="token punctuation">, </span>buttonClick<span class="token operator">: </span><a href="../../com.aptener.bluconnect.device.control/-button-click-impl/index.html">ButtonClickImpl</a><span class="token punctuation">, </span>rideLynk<span class="token operator">: </span><a href="../../com.aptener.bluconnect.device.control/-ride-lynk-impl/index.html">RideLynkImpl</a><span class="token punctuation">, </span>secondPhoneControl<span class="token operator">: </span><a href="../../com.aptener.bluconnect.device.control/-second-phone-control-sx/index.html">SecondPhoneControlSx</a><span class="token punctuation">, </span>speedDial<span class="token operator">: </span><a href="../../com.aptener.bluconnect.device.control/-speed-dial-impl/index.html">SpeedDialImpl</a><span class="token punctuation">, </span>otaSwitch<span class="token operator">: </span><a href="../../com.aptener.bluconnect.device.control/-ota-switch-impl/index.html">OtaSwitchImpl</a><span class="token punctuation">, </span>voiceAnnouncement<span class="token operator">: </span><a href="../../com.aptener.bluconnect.device.control/-voice-announcement-impl/index.html">VoiceAnnouncementImpl</a><span class="token punctuation">, </span>voiceNoteRecorder<span class="token operator">: </span><a href="../../com.aptener.bluconnect.device.control/-voice-note-recorder-impl/index.html">VoiceNoteRecorderImpl</a><span class="token punctuation">, </span>rawBytesInterface<span class="token operator">: </span><a href="../../com.aptener.bluconnect.device.control/-raw-bytes-interface-impl/index.html">RawBytesInterfaceImpl</a><span class="token punctuation">, </span>sx20App<span class="token operator">: </span><a href="../-sx20-app/index.html">Sx20App</a><span class="token punctuation">, </span>uiCoroutineScope<span class="token operator">: </span><span data-unresolved-link="kotlinx.coroutines/CoroutineScope///PointingToDeclaration/">CoroutineScope</span><span class="token punctuation">)</span><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
        </div>
        <div class="footer"><span class="go-to-top-icon"><a href="#content" id="go-to-top-link"></a></span><span>© 2022 Copyright</span><span class="pull-right"><span>Generated by </span><a href="https://github.com/Kotlin/dokka"><span>dokka</span><span class="padded-icon"></span></a></span></div>
      </div>
    </div>
  </body>
</html>

